public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "José María Alonso" <nimiux@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lisp/clisp/
Date: Mon,  5 Mar 2018 17:21:45 +0000 (UTC)	[thread overview]
Message-ID: <1520270501.c79adb4668bd1a277dcafc30a2bccac89d669bbe.nimiux@gentoo> (raw)

commit:     c79adb4668bd1a277dcafc30a2bccac89d669bbe
Author:     Chema Alonso Josa <nimiux <AT> gentoo <DOT> org>
AuthorDate: Mon Mar  5 17:21:19 2018 +0000
Commit:     José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Mon Mar  5 17:21:41 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c79adb46

dev-lisp/clisp: Rolling back last clisp commit

 dev-lisp/clisp/Manifest             |   1 +
 dev-lisp/clisp/clisp-2.48-r1.ebuild | 165 ++++++++++++++++++++++++++++++++++++
 dev-lisp/clisp/clisp-2.48-r2.ebuild | 164 +++++++++++++++++++++++++++++++++++
 dev-lisp/clisp/metadata.xml         |   2 +
 4 files changed, 332 insertions(+)

diff --git a/dev-lisp/clisp/Manifest b/dev-lisp/clisp/Manifest
index 0210e80c05b..7c0c8d6ab64 100644
--- a/dev-lisp/clisp/Manifest
+++ b/dev-lisp/clisp/Manifest
@@ -1,3 +1,4 @@
+DIST clisp-2.48.tar.bz2 7885098 BLAKE2B 42ebfe4721015f522184bce710bf95d79aa7f2a239410af249a8e85d80f140344ec80daaa34f7cdbfd2ae86407984657163ce3f6e4201eb132f7c71e21523cba SHA512 3288b6a2973c924006b14bbed1e8e3e688276a187ac2a6c7851dc7ae699e7832d30e5e7eecdabc76c08c7e8e8ce1b562eb97a44570d3035e558ea2310de2b719
 DIST clisp-2.49.60.tar.bz2 8745713 BLAKE2B 5dffd594c6d00c2057a98e3f93c888cd5cdc60009cd8fc987e39ff5182e71e575e148839d9c973fbfd0842b82ddf1b5918e86d128d9c79f6d0d4b6afcdc5853f SHA512 656cd59a23ba9be5304a6e0d64d79ac518072c431820b8cf95759fa8f3a66e2efe4d07939315b93e5e06b6e5348d8b32739b129a9e8ac0dc362dd5d1f1eb8aa8
 DIST clisp-2.49.90.tar.bz2 8921458 BLAKE2B 3be7cfe41038f42d8844d500877fa5c20e5c21dc0e162aa0018b297e4dfcd5374ef608793c9d809852e1f9885a155bb5b25fef8efe66016dd0ee400007386b70 SHA512 1fa7205e38883dcc863160b5418ddaaa2c45ee2d2f936de4067d1ea4a1e5043bf1235361bbbfc366afd6d8f1144497ccdccf1767ecf327f7a672b18742ceb651
 DIST clisp-2.49.tar.bz2 8091011 BLAKE2B e034c581b8100837b34d0adf1ef45bd667272d062945875175958178b4ef5b11e899dfb76505eb8cb51fca6101c11a9f21fb2cc9a78a3c0f82b06166211434f7 SHA512 eef66fc85199a2c283b616db61bf67ff103eeb0f19fa907da48994dc790b6f5f8d0c74fb3bd723c6b827c0ff3cfd89fa6ba67934fc669ed5d5249044b5140d81

diff --git a/dev-lisp/clisp/clisp-2.48-r1.ebuild b/dev-lisp/clisp/clisp-2.48-r1.ebuild
new file mode 100644
index 00000000000..a91495a40b8
--- /dev/null
+++ b/dev-lisp/clisp/clisp-2.48-r1.ebuild
@@ -0,0 +1,165 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="2"
+
+inherit flag-o-matic eutils toolchain-funcs multilib
+
+DESCRIPTION="A portable, bytecode-compiled implementation of Common Lisp"
+HOMEPAGE="http://clisp.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="2"
+KEYWORDS="alpha amd64 ia64 ppc -sparc x86"
+IUSE="berkdb hyperspec X new-clx dbus fastcgi gdbm gtk pari +pcre postgres +readline svm -threads +unicode +zlib"
+
+RDEPEND="virtual/libiconv
+		 >=dev-libs/libsigsegv-2.4
+		 >=dev-libs/ffcall-1.10
+		 dbus? ( sys-apps/dbus )
+		 fastcgi? ( dev-libs/fcgi )
+		 gdbm? ( sys-libs/gdbm )
+		 gtk? ( >=x11-libs/gtk+-2.10:2 >=gnome-base/libglade-2.6:2.0 )
+		 pari? ( >=sci-mathematics/pari-2.3.0 )
+		 postgres? ( >=dev-db/postgresql-8.0 )
+		 readline? ( >=sys-libs/readline-5.0 )
+		 pcre? ( dev-libs/libpcre )
+		 svm? ( sci-libs/libsvm )
+		 zlib? ( sys-libs/zlib )
+		 X? ( new-clx? ( x11-libs/libXpm ) )
+		 hyperspec? ( dev-lisp/hyperspec )
+		 berkdb? ( sys-libs/db:4.5 )"
+
+DEPEND="${RDEPEND}
+	X? ( new-clx? ( x11-misc/imake x11-proto/xextproto ) )"
+
+PDEPEND="dev-lisp/gentoo-init"
+
+enable_modules() {
+	[[ $# = 0 ]] && die "${FUNCNAME[0]} must receive at least one argument"
+	for m in "$@" ; do
+		einfo "enabling module $m"
+		myconf+=" --with-module=${m}"
+	done
+}
+
+BUILDDIR="builddir"
+
+# modules not enabled:
+#  * berkdb: must figure out a way to make the configure script pick up the
+#            currect version of the library and headers
+#  * dirkey: fails to compile, requiring windows.h, possibly wrong #ifdefs
+#  * matlab, netica: not in portage
+#  * oracle: can't install oracle-instantclient
+
+src_prepare() {
+	# More than -O1 breaks alpha/ia64
+	if use alpha || use ia64; then
+		sed -i -e 's/-O2//g' src/makemake.in || die
+	fi
+}
+
+src_configure() {
+	# We need this to build on alpha/ia64
+	if use alpha || use ia64; then
+		replace-flags -O? -O1
+		append-flags '-D NO_MULTIMAP_SHM -D NO_MULTIMAP_FILE -D NO_SINGLEMAP -D NO_TRIVIALMAP'
+	fi
+
+	# QA issue with lisp.run
+	append-flags -Wa,--noexecstack
+
+	# built-in features
+	local myconf="--with-ffcall --without-dynamic-modules"
+#    There's a problem with jit_allocai function
+#    if use jit; then
+#        myconf+=" --with-jitc=lightning"
+#    fi
+	if use threads; then
+		myconf+=" --with-threads=POSIX_THREADS"
+	fi
+
+	# default modules
+	enable_modules wildcard rawsock
+	# optional modules
+	use elibc_glibc && enable_modules bindings/glibc
+	if use X; then
+		if use new-clx; then
+			enable_modules clx/new-clx
+		else
+			enable_modules clx/mit-clx
+		fi
+	fi
+	if use postgres; then
+		enable_modules postgresql
+		append-flags -I$(pg_config --includedir)
+	fi
+	if use berkdb; then
+		enable_modules berkeley-db
+		append-flags -I/usr/include/db4.5
+	fi
+	use dbus && enable_modules dbus
+	use fastcgi && enable_modules fastcgi
+	use gdbm && enable_modules gdbm
+	use gtk && enable_modules gtk2
+	use pari && enable_modules pari
+	use pcre && enable_modules pcre
+	use svm && enable_modules libsvm
+	use zlib && enable_modules zlib
+
+	if use hyperspec; then
+		CLHSROOT="file:///usr/share/doc/hyperspec/HyperSpec/"
+	else
+		CLHSROOT="http://www.lispworks.com/reference/HyperSpec/"
+	fi
+
+	# configure chokes on --sysconfdir option
+	local configure="./configure --prefix=/usr --libdir=/usr/$(get_libdir) \
+		$(use_with readline) $(use_with unicode) \
+		${myconf} --hyperspec=${CLHSROOT} ${BUILDDIR}"
+	einfo "${configure}"
+	${configure} || die "./configure failed"
+
+	sed -i 's,"vi","nano",g' "${BUILDDIR}"/config.lisp || die
+
+	IMPNOTES="file://${ROOT%/}/usr/share/doc/${PN}-${PVR}/html/impnotes.html"
+	sed -i "s,http://clisp.cons.org/impnotes/,${IMPNOTES},g" \
+		"${BUILDDIR}"/config.lisp || die
+}
+
+src_compile() {
+	export VARTEXFONTS="${T}"/fonts
+	cd "${BUILDDIR}"
+	# parallel build fails
+	emake -j1 || die "emake failed"
+}
+
+src_install() {
+	pushd "${BUILDDIR}"
+	make DESTDIR="${D}" prefix=/usr install-bin || die
+	doman clisp.1 || die
+	dodoc SUMMARY README* NEWS MAGIC.add ANNOUNCE || die
+	fperms a+x /usr/$(get_libdir)/clisp-${PV/_*/}/clisp-link || die
+	# stripping them removes common symbols (defined but uninitialised variables)
+	# which are then needed to build modules...
+	export STRIP_MASK="*/usr/$(get_libdir)/clisp-${PV}/*/*"
+	popd
+	dohtml doc/impnotes.{css,html} doc/regexp.html doc/clisp.png || die
+	dodoc doc/{CLOS-guide,LISP-tutorial}.txt || die
+}
+
+pkg_postinst() {
+	if use threads || use jit; then
+		while read line; do elog ${line}; done <<EOF
+
+Upstream considers threads to be of Alpha quality, therefore
+it is likely that you will encounter bugs in using them. If you do,
+please report bugs upstream:
+
+Mailing list: https://lists.sourceforge.net/lists/listinfo/clisp-devel
+Bug tracker:  https://sourceforge.net/tracker/?atid=101355&group_id=1355
+
+EOF
+	fi
+}

diff --git a/dev-lisp/clisp/clisp-2.48-r2.ebuild b/dev-lisp/clisp/clisp-2.48-r2.ebuild
new file mode 100644
index 00000000000..95be00d3779
--- /dev/null
+++ b/dev-lisp/clisp/clisp-2.48-r2.ebuild
@@ -0,0 +1,164 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="2"
+
+inherit flag-o-matic eutils toolchain-funcs multilib
+
+DESCRIPTION="A portable, bytecode-compiled implementation of Common Lisp"
+HOMEPAGE="http://clisp.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="2"
+KEYWORDS="~alpha amd64 ~ia64 ~ppc -sparc x86"
+IUSE="berkdb hyperspec X new-clx dbus fastcgi gdbm gtk pari +pcre postgres +readline svm -threads +unicode +zlib"
+
+RDEPEND="virtual/libiconv
+		 >=dev-libs/libsigsegv-2.4
+		 >=dev-libs/ffcall-1.10
+		 dbus? ( sys-apps/dbus )
+		 fastcgi? ( dev-libs/fcgi )
+		 gdbm? ( sys-libs/gdbm )
+		 gtk? ( >=x11-libs/gtk+-2.10:2 >=gnome-base/libglade-2.6:2.0 )
+		 pari? ( >=sci-mathematics/pari-2.3.0 )
+		 postgres? ( >=dev-db/postgresql-8.0 )
+		 readline? ( >=sys-libs/readline-5.0 )
+		 pcre? ( dev-libs/libpcre )
+		 svm? ( sci-libs/libsvm )
+		 zlib? ( sys-libs/zlib )
+		 X? ( new-clx? ( x11-libs/libXpm ) )
+		 hyperspec? ( dev-lisp/hyperspec )
+		 berkdb? ( sys-libs/db:4.7 )"
+
+DEPEND="${RDEPEND}
+	X? ( new-clx? ( x11-misc/imake x11-proto/xextproto ) )"
+
+PDEPEND="dev-lisp/gentoo-init"
+
+enable_modules() {
+	[[ $# = 0 ]] && die "${FUNCNAME[0]} must receive at least one argument"
+	for m in "$@" ; do
+		einfo "enabling module $m"
+		myconf+=" --with-module=${m}"
+	done
+}
+
+BUILDDIR="builddir"
+
+# modules not enabled:
+#  * dirkey: fails to compile, requiring windows.h, possibly wrong #ifdefs
+#  * matlab, netica: not in portage
+#  * oracle: can't install oracle-instantclient
+
+src_prepare() {
+	# More than -O1 breaks alpha/ia64
+	if use alpha || use ia64; then
+		sed -i -e 's/-O2//g' src/makemake.in || die
+	fi
+	epatch "${FILESDIR}/${P}-bits_ipctypes_to_sys_ipc.patch"
+}
+
+src_configure() {
+	# We need this to build on alpha/ia64
+	if use alpha || use ia64; then
+		replace-flags -O? -O1
+		append-flags '-D NO_MULTIMAP_SHM -D NO_MULTIMAP_FILE -D NO_SINGLEMAP -D NO_TRIVIALMAP'
+	fi
+
+	# QA issue with lisp.run
+	append-flags -Wa,--noexecstack
+
+	# built-in features
+	local myconf="--with-ffcall --without-dynamic-modules"
+#    There's a problem with jit_allocai function
+#    if use jit; then
+#        myconf+=" --with-jitc=lightning"
+#    fi
+	if use threads; then
+		myconf+=" --with-threads=POSIX_THREADS"
+	fi
+
+	# default modules
+	enable_modules wildcard rawsock
+	# optional modules
+	use elibc_glibc && enable_modules bindings/glibc
+	if use X; then
+		if use new-clx; then
+			enable_modules clx/new-clx
+		else
+			enable_modules clx/mit-clx
+		fi
+	fi
+	if use postgres; then
+		enable_modules postgresql
+		append-flags -I$(pg_config --includedir)
+	fi
+	if use berkdb; then
+		enable_modules berkeley-db
+		append-flags -I/usr/include/db4.7
+	fi
+	use dbus && enable_modules dbus
+	use fastcgi && enable_modules fastcgi
+	use gdbm && enable_modules gdbm
+	use gtk && enable_modules gtk2
+	use pari && enable_modules pari
+	use pcre && enable_modules pcre
+	use svm && enable_modules libsvm
+	use zlib && enable_modules zlib
+
+	if use hyperspec; then
+		CLHSROOT="file:///usr/share/doc/hyperspec/HyperSpec/"
+	else
+		CLHSROOT="http://www.lispworks.com/reference/HyperSpec/"
+	fi
+
+	# configure chokes on --sysconfdir option
+	local configure="./configure --prefix=/usr --libdir=/usr/$(get_libdir) \
+		$(use_with readline) $(use_with unicode) \
+		${myconf} --hyperspec=${CLHSROOT} ${BUILDDIR}"
+	einfo "${configure}"
+	${configure} || die "./configure failed"
+
+	sed -i 's,"vi","nano",g' "${BUILDDIR}"/config.lisp || die
+
+	IMPNOTES="file://${ROOT%/}/usr/share/doc/${PN}-${PVR}/html/impnotes.html"
+	sed -i "s,http://clisp.cons.org/impnotes/,${IMPNOTES},g" \
+		"${BUILDDIR}"/config.lisp || die
+}
+
+src_compile() {
+	export VARTEXFONTS="${T}"/fonts
+	cd "${BUILDDIR}"
+	# parallel build fails
+	emake -j1 || die "emake failed"
+}
+
+src_install() {
+	pushd "${BUILDDIR}"
+	make DESTDIR="${D}" prefix=/usr install-bin || die
+	doman clisp.1 || die
+	dodoc SUMMARY README* NEWS MAGIC.add ANNOUNCE || die
+	fperms a+x /usr/$(get_libdir)/clisp-${PV/_*/}/clisp-link || die
+	# stripping them removes common symbols (defined but uninitialised variables)
+	# which are then needed to build modules...
+	export STRIP_MASK="*/usr/$(get_libdir)/clisp-${PV}/*/*"
+	popd
+	dohtml doc/impnotes.{css,html} doc/regexp.html doc/clisp.png || die
+	dodoc doc/{CLOS-guide,LISP-tutorial}.txt || die
+}
+
+pkg_postinst() {
+	if use threads || use jit; then
+		while read line; do elog ${line}; done <<EOF
+
+Upstream considers threads to be of Alpha quality, therefore
+it is likely that you will encounter bugs in using them. If you do,
+please report bugs upstream:
+
+Mailing list: https://lists.sourceforge.net/lists/listinfo/clisp-devel
+Bug tracker:  https://sourceforge.net/tracker/?atid=101355&group_id=1355
+
+EOF
+	fi
+}

diff --git a/dev-lisp/clisp/metadata.xml b/dev-lisp/clisp/metadata.xml
index d7c63a79485..a78f41563fc 100644
--- a/dev-lisp/clisp/metadata.xml
+++ b/dev-lisp/clisp/metadata.xml
@@ -20,6 +20,8 @@ changed at run time.
 </longdescription>
 	<use>
 		<flag name="hyperspec">Use local hyperspec instead of online version</flag>
+		<flag name="new-clx">Build CLISP with support for the NEW-CLX module which is a
+-C binding to the Xorg libraries</flag>
 		<flag name="pari">Build CLISP with support for the PARI Computer Algebra System</flag>
 		<flag name="svm">Build CLISP with support for the Support Vector Machine module</flag>
 	</use>


             reply	other threads:[~2018-03-05 17:21 UTC|newest]

Thread overview: 41+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-03-05 17:21 José María Alonso [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-28  4:44 [gentoo-commits] repo/gentoo:master commit in: dev-lisp/clisp/ Sam James
2025-04-28  4:37 Sam James
2025-04-28  2:41 Sam James
2025-04-27 23:17 Sam James
2024-05-02  4:32 Sam James
2024-05-02  4:32 Sam James
2023-09-16 14:06 Ulrich Müller
2022-10-15 15:13 Sam James
2022-05-14 21:52 Jakov Smolić
2022-04-28 15:05 Jakov Smolić
2022-02-28  5:04 Sam James
2022-02-28  5:03 Sam James
2022-02-17 11:00 Jakov Smolić
2022-01-19  1:12 Sam James
2021-06-03 19:15 Sam James
2020-10-10 17:55 Pacho Ramos
2019-06-16 18:30 Ulrich Müller
2019-06-16 17:15 Tobias Klausmann
2019-06-14 15:01 Agostino Sarubbo
2019-06-14  9:26 Agostino Sarubbo
2019-06-14  9:25 Agostino Sarubbo
2019-06-14  9:18 Agostino Sarubbo
2018-10-16  9:18 Tobias Klausmann
2018-08-19 22:52 Patrice Clement
2018-08-19 22:52 Patrice Clement
2018-05-12  0:32 Matt Turner
2018-04-20  8:02 David Seifert
2018-03-28 14:47 José María Alonso
2018-03-25  1:30 Sergei Trofimovich
2018-03-18 18:04 David Seifert
2018-03-08  9:29 José María Alonso
2018-03-07 12:45 José María Alonso
2018-03-07  9:36 José María Alonso
2018-03-06 15:35 José María Alonso
2018-03-05 16:17 José María Alonso
2017-10-25 13:53 Andreas Hüttel
2017-10-24 18:47 Andreas Hüttel
2016-12-18  4:54 Andrey Grozin
2016-10-12 18:11 Pacho Ramos
2016-10-02  2:55 Andrey Grozin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1520270501.c79adb4668bd1a277dcafc30a2bccac89d669bbe.nimiux@gentoo \
    --to=nimiux@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox